# Uses of Interface
org.jmol.adapter.smarter.MSInterface

Packages that use MSInterface
Package
Description
org.jmol.adapter.readers.cif
org.jmol.adapter.smarter

## Uses of MSInterface in org.jmol.adapter.readers.cif

Classes in org.jmol.adapter.readers.cif that implement MSInterface
Modifier and Type
Class
Description
`class`
`MSCifParser`
`class`
`MSRdr`
generalized modulated structure reader class for CIF and Jana -- includes Fourier, Crenel, Sawtooth, Legendre; displacement, occupancy, and Uij -- handles up to 6 modulation wave vectors -- commensurate and incommensurate, including composites -- not handling _cell_commen_t_section_1

## Uses of MSInterface in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as MSInterface
Modifier and Type
Field
Description
`MSInterface`
AtomSetCollectionReader.`ms`